/*
 * pop_free_retlist.c
 * Free the POP_RET_LIST structure
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_free_retlist.c,v 1.2 2001/01/08 08:07:04 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_pop_p.h>


void
pop_free_retlist(POP_RET_LIST *tofree)
{
	POP_RET_LIST_ITEM *temp;

	/* The POP_RET_STAT substructure */
	if(tofree->stat_info)
		free(tofree->stat_info);

	/* The POP_RET_LIST_ITEM list */
	while(tofree->list_head)
	{
		temp = tofree->list_head;
		tofree->list_head = tofree->list_head->next;
		free(temp);
	}
}
