/*
 * pop_network_close.c
 * Quick and dirty close on POP TCP/IP connection
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_network_close.c,v 1.2 2001/01/08 08:07:04 fullermd Exp $
 */

#include <stdlib.h>
#include <unistd.h>

#include <post_raw.h>
#include <post_raw_pop_p.h>


/* Note: This is an internal function.  It should never be exposed */
void
pop_network_close(POSTAL_CONN *to_close)
{
	close(to_close->sock);
	if(to_close->specinfo.pop)
		free(to_close->specinfo.pop);
	free(to_close);
}
