/*
 * post_raw_pop_p.h
 * Private header file for POP section
 * libpostal project
 * libpost_raw
 * $Id: post_raw_pop_p.h,v 1.2 2001/01/08 08:07:04 fullermd Exp $
 */

/* Constants */
#define POP_HDRLEN		160		/* Arbitrary, but 2 'lines' is plenty */

#define POP_GOOD		"+OK"
#define POP_BAD			"-ERR"


/* Macros */
#define POP_CMD_SEND(c,s)	(write(c->sock, s, strlen(s)))


/* Prototypes */
/* These are private interfaces, they should never be exposed */
int pop_answer_check(POSTAL_CONN *);
void pop_network_close(POSTAL_CONN *);
